# Game.Action Class Reference

Inherited by Game.Drinking, Game.Drinking, Game.Eating, Game.Eating, Game.Fleeing, Game.Fleeing, Game.LookingForFood, Game.LookingForFood, Game.Moving, Game.Moving, Game.MovingAround, Game.MovingAround, Game.Sleeping, Game.Sleeping, Game.Talking, and Game.Talking.

Collaboration diagram for Game.Action:

[legend]

List of all members.

## Public Member Functions
| Action ()
| Action (IWorldEntity theActor)
virtual void | SetActor (IWorldEntity theActor)
virtual bool | CheckFeasibility (WorldEntity selectedEntity)
virtual void | Update (double appTime, float elapsedTime)
virtual void | IAmDone ()
virtual bool | Similar (Action action)
| Action ()
| Action (IWorldEntity theActor)
virtual void | SetActor (IWorldEntity theActor)
virtual bool | CheckFeasibility (WorldEntity selectedEntity)
virtual void | Update (double appTime, float elapsedTime)
virtual void | IAmDone ()
virtual bool | Similar (Action action)
## Static Public Member Functions
static bool | Similar (Action ac1, Action ac2)
static bool | Similar (Action ac1, Action ac2)
## Public Attributes
IWorldEntity | complement = null
bool | iamdone
## Protected Attributes
IWorldEntity | actor
## Events
ActionCompletedHandler | completed

## Detailed Description

Definition at line 26 of file Action.cs.

## Constructor & Destructor Documentation

Game.Action.Action | ( |  | ) |

Definition at line 36 of file Action.cs.

Game.Action.Action | ( | IWorldEntity | theActor | ) |

Definition at line 41 of file Action.cs.

Here is the call graph for this function:

Game.Action.Action | ( |  | ) |

Definition at line 36 of file Action.cs.

Game.Action.Action | ( | IWorldEntity | theActor | ) |

Definition at line 41 of file Action.cs.

Here is the call graph for this function:

## Member Function Documentation

virtual bool Game.Action.CheckFeasibility | ( | WorldEntity | selectedEntity | ) | `[virtual]`

Reimplemented in Game.Moving, and Game.Moving.

Definition at line 51 of file Action.cs.

virtual bool Game.Action.CheckFeasibility | ( | WorldEntity | selectedEntity | ) | `[virtual]`

Reimplemented in Game.Moving, and Game.Moving.

Definition at line 51 of file Action.cs.

virtual void Game.Action.IAmDone | ( |  | ) | `[virtual]`

Definition at line 64 of file Action.cs.

virtual void Game.Action.IAmDone | ( |  | ) | `[virtual]`

Definition at line 64 of file Action.cs.

Here is the caller graph for this function:

virtual void Game.Action.SetActor | ( | IWorldEntity | theActor | ) | `[virtual]`

Reimplemented in Game.Moving, and Game.Moving.

Definition at line 46 of file Action.cs.

virtual void Game.Action.SetActor | ( | IWorldEntity | theActor | ) | `[virtual]`

Reimplemented in Game.Moving, and Game.Moving.

Definition at line 46 of file Action.cs.

Here is the caller graph for this function:

static bool Game.Action.Similar | ( | Action | ac1,
|  | Action | ac2 |
| ) |  |  | `[static]`

Definition at line 78 of file Action.cs.

virtual bool Game.Action.Similar | ( | Action | action | ) | `[virtual]`

Reimplemented in Game.Moving, Game.Sleeping, Game.Eating, Game.MovingAround, Game.LookingForFood, Game.Drinking, Game.Fleeing, Game.Talking, Game.Moving, Game.Sleeping, Game.Eating, Game.MovingAround, Game.LookingForFood, Game.Drinking, Game.Fleeing, and Game.Talking.

Definition at line 73 of file Action.cs.

static bool Game.Action.Similar | ( | Action | ac1,
|  | Action | ac2 |
| ) |  |  | `[static]`

Definition at line 78 of file Action.cs.

Here is the call graph for this function:

virtual bool Game.Action.Similar | ( | Action | action | ) | `[virtual]`

Reimplemented in Game.Moving, Game.Sleeping, Game.Eating, Game.MovingAround, Game.LookingForFood, Game.Drinking, Game.Fleeing, Game.Talking, Game.Moving, Game.Sleeping, Game.Eating, Game.MovingAround, Game.LookingForFood, Game.Drinking, Game.Fleeing, and Game.Talking.

Definition at line 73 of file Action.cs.

Here is the caller graph for this function:

virtual void Game.Action.Update | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Reimplemented in Game.Moving, Game.Eating, Game.Moving, and Game.Eating.

Definition at line 56 of file Action.cs.

Here is the call graph for this function:

virtual void Game.Action.Update | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Reimplemented in Game.Moving, Game.Eating, Game.Moving, and Game.Eating.

Definition at line 56 of file Action.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

## Member Data Documentation

IWorldEntity Game.Action::actor`[protected]`

Definition at line 28 of file Action.cs.

IWorldEntity Game.Action::complement = null

Definition at line 30 of file Action.cs.

bool Game.Action::iamdone

Definition at line 32 of file Action.cs.

## Event Documentation

ActionCompletedHandler Game.Action::completed

Definition at line 34 of file Action.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/World/Action.cs
- D:/guillaume/guillara/3D/DXGfx/World/Action.cs